"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertPageConfigGlobal = exports.assertPageConfigs = void 0;
const utils_js_1 = require("../utils.js");
function assertPageConfigs(pageConfigs) {
    (0, utils_js_1.assert)(Array.isArray(pageConfigs) || pageConfigs === null);
    // TODO: remove obsolete comment?
    // if `plusConfigFilesCannotBeLoaded === null` => then `import.meta.glob('/**/+config.${scriptFileExtensions}', { eager: true })` cannot be transpiled/loaded => code of virtual file cannot be generated or run => assertPageConfigs() is never called
    (0, utils_js_1.assert)(pageConfigs !== null);
    pageConfigs.forEach((pageConfig) => {
        (0, utils_js_1.assert)((0, utils_js_1.isObject)(pageConfig));
        (0, utils_js_1.assert)((0, utils_js_1.hasProp)(pageConfig, 'pageId', 'string'));
        (0, utils_js_1.assert)((0, utils_js_1.hasProp)(pageConfig, 'routeFilesystem', 'string') || (0, utils_js_1.hasProp)(pageConfig, 'routeFilesystem', 'null'));
        (0, utils_js_1.assert)((0, utils_js_1.hasProp)(pageConfig, 'routeFilesystemDefinedBy', 'string') ||
            (0, utils_js_1.hasProp)(pageConfig, 'routeFilesystemDefinedBy', 'null'));
        (0, utils_js_1.assert)((0, utils_js_1.hasProp)(pageConfig, 'loadCodeFiles', 'function'));
        (0, utils_js_1.assert)((0, utils_js_1.hasProp)(pageConfig, 'isErrorPage', 'boolean'));
    });
}
exports.assertPageConfigs = assertPageConfigs;
function assertPageConfigGlobal(pageConfigGlobal) {
    // TODO: remove or implement?
}
exports.assertPageConfigGlobal = assertPageConfigGlobal;
